package sgbd.test;

import sgbd.stockage.*;
import sgbd.impl.*;

public class Main {
	
	public static final byte datasetSize = 100;
	public static final byte nupletSize = 10;

	public static void main(String[] args){
		
		// Gnration des donnes
		Nuplet[] tab = new NupletInt[datasetSize];
		for(byte i=0;i<datasetSize;i++){
			tab[i] = new NupletInt(nupletSize);
			for(byte j=0;j<nupletSize;j++){
				byte value=0;
				if(j==0) 
					value = i;
				else
					value = (byte)(Math.random()*100);
				tab[i].putAtt(j, value);
			}
		}
		int[] a = {1, 2};
		
		Nuplet[] tab2 = new NupletInt[4];
		tab2[0] = new NupletInt(3);
		tab2[0].putAtt(0, (byte)0);
		tab2[0].putAtt(1, (byte)1);
		tab2[0].putAtt(2, (byte)1);
		
		tab2[1] = new NupletInt(3);
		tab2[1].putAtt(0, (byte)1);
		tab2[1].putAtt(1, (byte)1);
		tab2[1].putAtt(2, (byte)2);
		
		tab2[2] = new NupletInt(3);
		tab2[2].putAtt(0, (byte)2);
		tab2[2].putAtt(1, (byte)2);
		tab2[2].putAtt(2, (byte)1);	
		
		tab2[3] = new NupletInt(3);
		tab2[3].putAtt(0, (byte)3);
		tab2[3].putAtt(1, (byte)2);
		tab2[3].putAtt(2, (byte)2);
		
		Table t1 = new TableInt("C:/temp/table3", (byte)3);
		for(int i=0;i<4;i++){
			t1.put(tab2[i]);
			}

		// Implmentation avec Table
		
		System.out.println("------------------------------------------------");	
		System.out.println("Cration d'une table");
		Table t = new TableInt("C:/temp/table2", nupletSize);
		for(int i=0;i<datasetSize;i++){
			t.put(tab[i]);
			}
		System.out.println("Lecture d'une table");
		for(int i=0;i<datasetSize;i++){
			System.out.println(t.get(i).toString());
			}
		
		/*
		// Utilisation de getByAtt
		System.out.println("Test GetByAtt");
		Nuplet[] res = t.getByAtt(4, (byte)50);
		for(Nuplet n : res)
			System.out.println(n.toString());
			*/
		}
	
	
	

	}

